<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>Household</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.iciObjects, class: Household">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":9,"i1":9,"i2":9,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":9,"i9":10,"i10":10,"i11":9,"i12":9,"i13":9,"i14":9,"i15":9,"i16":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Household.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.iciObjects</a></div>
<h1 title="Class Household" class="title">Class Household</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance"><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects.ICIObject</a>
<div class="inheritance">fr.ici.dataImporter.iciObjects.Household</div>
</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="type-name-label">Household</span>
extends <a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></pre>
<div class="block">An household occupies a Housing and is composed of one or more Individuals. It has a defined structure and a fix size of members.</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Fields</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Field</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>(package private) org.locationtech.jts.geom.Point</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#approximateGeom">approximateGeom</a></span></code></th>
<td class="col-last">
<div class="block">A geometry to spatially represent the household.</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#buildingID">buildingID</a></span></code></th>
<td class="col-last">
<div class="block">Buildind in which the household is living</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) <a href="property/FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#fCompo">fCompo</a></span></code></th>
<td class="col-last">
<div class="block">If the Household is a family (adult(s) + children(s)), composition of the childs</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>(package private) <a href="property/HouseholdComposition.html" title="enum in fr.ici.dataImporter.iciObjects.property">HouseholdComposition</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#hhCompo">hhCompo</a></span></code></th>
<td class="col-last">
<div class="block">Structure of the Household</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>(package private) int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#size">size</a></span></code></th>
<td class="col-last">
<div class="block">Size if the household</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="ICIObject.html#DEBUG">DEBUG</a>, <a href="ICIObject.html#ID">ID</a>, <a href="ICIObject.html#rdGen">rdGen</a>, <a href="ICIObject.html#type">type</a></code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E()">Household</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(fr.ici.dataImporter.iciObjects.property.HouseholdComposition,fr.ici.dataImporter.iciObjects.property.FamilyChildrenNumber,int,java.lang.String,org.locationtech.jts.geom.Point)">Household</a></span>&#8203;(<a href="property/HouseholdComposition.html" title="enum in fr.ici.dataImporter.iciObjects.property">HouseholdComposition</a>&nbsp;hhCompo,
<a href="property/FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a>&nbsp;fCompo,
int&nbsp;size,
java.lang.String&nbsp;buildingID,
org.locationtech.jts.geom.Point&nbsp;approximateGeom)</code></th>
<td class="col-last">
<div class="block">New Household</div>
</td>
</tr>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,fr.ici.dataImporter.iciObjects.property.HouseholdComposition,fr.ici.dataImporter.iciObjects.property.FamilyChildrenNumber,int,java.lang.String,org.locationtech.jts.geom.Point)">Household</a></span>&#8203;(java.lang.String&nbsp;ID,
<a href="property/HouseholdComposition.html" title="enum in fr.ici.dataImporter.iciObjects.property">HouseholdComposition</a>&nbsp;hhCompo,
<a href="property/FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a>&nbsp;fCompo,
int&nbsp;size,
java.lang.String&nbsp;buildingID,
org.locationtech.jts.geom.Point&nbsp;approximateGeom)</code></th>
<td class="col-last">
<div class="block">Already generated household</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>static java.util.List&lt;<a href="Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#affectHouseholdToHousing(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection,java.util.List)">affectHouseholdToHousing</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisHousehold,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisHousing,
java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>static java.io.File</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#exportHousehold(java.util.List,java.io.File)">exportHousehold</a></span>&#8203;(java.util.List&lt;<a href="Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;&nbsp;lHH,
java.io.File&nbsp;fileOut)</code></th>
<td class="col-last">
<div class="block">Export an existing list of household to a geographic format</div>
</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>static <a href="Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#generateHouseholds(fr.ici.dataImporter.iciObjects.Building,fr.ici.dataImporter.iciObjects.iris.IRISHousehold)">generateHouseholds</a></span>&#8203;(<a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&nbsp;building,
<a href="iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a>&nbsp;iris)</code></th>
<td class="col-last">
<div class="block">Generate the households for each housing of an IRIS</div>
</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>org.opengis.feature.simple.SimpleFeature</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#generateSimpleFeature()">generateSimpleFeature</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>org.locationtech.jts.geom.Point</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getApproximateGeom()">getApproximateGeom</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getBuildingID()">getBuildingID</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code><a href="property/FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getFCompo()">getFCompo</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code><a href="property/HouseholdComposition.html" title="enum in fr.ici.dataImporter.iciObjects.property">HouseholdComposition</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getHhCompo()">getHhCompo</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>static int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getHouseholdSize(fr.ici.dataImporter.iciObjects.property.HouseholdComposition,fr.ici.dataImporter.iciObjects.property.FamilyChildrenNumber,fr.ici.dataImporter.iciObjects.iris.IRISHousehold)">getHouseholdSize</a></span>&#8203;(<a href="property/HouseholdComposition.html" title="enum in fr.ici.dataImporter.iciObjects.property">HouseholdComposition</a>&nbsp;hhCompo,
<a href="property/FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a>&nbsp;fChildNumber,
<a href="iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a>&nbsp;iris)</code></th>
<td class="col-last">
<div class="block">Get household size by its characteristics.</div>
</td>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><code>org.geotools.feature.simple.SimpleFeatureBuilder</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getSFB()">getSFB</a></span>()</code></th>
<td class="col-last">
<div class="block">Get the feature builder to export Households</div>
</td>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><code>int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getSize()">getSize</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><code>static java.util.List&lt;<a href="Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importHousehold(java.io.File)">importHousehold</a></span>&#8203;(java.io.File&nbsp;householdICI)</code></th>
<td class="col-last">
<div class="block">Import Households objects from already generated households</div>
</td>
</tr>
<tr class="alt-color" id="i12">
<td class="col-first"><code>static java.util.List&lt;<a href="Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importHousehold(java.util.List,java.io.File,java.io.File)">importHousehold</a></span>&#8203;(java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding,
java.io.File&nbsp;irisHouseholdFile,
java.io.File&nbsp;irisHousingFile)</code></th>
<td class="col-last">
<div class="block">Generate the household of a zone relatively to housing already generated by the <a href="Building.html#importBuilding(java.io.File)"><code>Building.importBuilding(File)</code></a> method.</div>
</td>
</tr>
<tr class="row-color" id="i13">
<td class="col-first"><code>static int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#sizeOfFourPlusFamily()">sizeOfFourPlusFamily</a></span>()</code></th>
<td class="col-last">
<div class="block">Get the number of children for 4+ families.</div>
</td>
</tr>
<tr class="alt-color" id="i14">
<td class="col-first"><code>static int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#sizeOfPlus25Family()">sizeOfPlus25Family</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i15">
<td class="col-first"><code>static <a href="Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#toIci(org.opengis.feature.simple.SimpleFeature)">toIci</a></span>&#8203;(org.opengis.feature.simple.SimpleFeature&nbsp;sf)</code></th>
<td class="col-last">
<div class="block">Convert a SimpleFeature to an ICI Household</div>
</td>
</tr>
<tr class="alt-color" id="i16">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#toString()">toString</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="ICIObject.html#equals(java.lang.Object)">equals</a>, <a href="ICIObject.html#getID()">getID</a>, <a href="ICIObject.html#getType()">getType</a>, <a href="ICIObject.html#hashCode()">hashCode</a>, <a href="ICIObject.html#setRdGen(java.util.Random)">setRdGen</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field.detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="hhCompo">
<h3>hhCompo</h3>
<div class="member-signature"><span class="return-type"><a href="property/HouseholdComposition.html" title="enum in fr.ici.dataImporter.iciObjects.property">HouseholdComposition</a></span>&nbsp;<span class="member-name">hhCompo</span></div>
<div class="block">Structure of the Household</div>
</section>
</li>
<li>
<section class="detail" id="fCompo">
<h3>fCompo</h3>
<div class="member-signature"><span class="return-type"><a href="property/FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a></span>&nbsp;<span class="member-name">fCompo</span></div>
<div class="block">If the Household is a family (adult(s) + children(s)), composition of the childs</div>
</section>
</li>
<li>
<section class="detail" id="size">
<h3>size</h3>
<div class="member-signature"><span class="return-type">int</span>&nbsp;<span class="member-name">size</span></div>
<div class="block">Size if the household</div>
</section>
</li>
<li>
<section class="detail" id="buildingID">
<h3>buildingID</h3>
<div class="member-signature"><span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">buildingID</span></div>
<div class="block">Buildind in which the household is living</div>
</section>
</li>
<li>
<section class="detail" id="approximateGeom">
<h3>approximateGeom</h3>
<div class="member-signature"><span class="return-type">org.locationtech.jts.geom.Point</span>&nbsp;<span class="member-name">approximateGeom</span></div>
<div class="block">A geometry to spatially represent the household. Could be ignored.</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(fr.ici.dataImporter.iciObjects.property.HouseholdComposition,fr.ici.dataImporter.iciObjects.property.FamilyChildrenNumber,int,java.lang.String,org.locationtech.jts.geom.Point)">
<h3>Household</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Household</span>&#8203;(<span class="parameters"><a href="property/HouseholdComposition.html" title="enum in fr.ici.dataImporter.iciObjects.property">HouseholdComposition</a>&nbsp;hhCompo,
<a href="property/FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a>&nbsp;fCompo,
int&nbsp;size,
java.lang.String&nbsp;buildingID,
org.locationtech.jts.geom.Point&nbsp;approximateGeom)</span></div>
<div class="block">New Household</div>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,fr.ici.dataImporter.iciObjects.property.HouseholdComposition,fr.ici.dataImporter.iciObjects.property.FamilyChildrenNumber,int,java.lang.String,org.locationtech.jts.geom.Point)">
<h3>Household</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Household</span>&#8203;(<span class="parameters">java.lang.String&nbsp;ID,
<a href="property/HouseholdComposition.html" title="enum in fr.ici.dataImporter.iciObjects.property">HouseholdComposition</a>&nbsp;hhCompo,
<a href="property/FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a>&nbsp;fCompo,
int&nbsp;size,
java.lang.String&nbsp;buildingID,
org.locationtech.jts.geom.Point&nbsp;approximateGeom)</span></div>
<div class="block">Already generated household</div>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;()">
<h3>Household</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">Household</span>()</div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="affectHouseholdToHousing(org.geotools.data.simple.SimpleFeatureCollection,org.geotools.data.simple.SimpleFeatureCollection,java.util.List)">
<h3>affectHouseholdToHousing</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;</span>&nbsp;<span class="member-name">affectHouseholdToHousing</span>&#8203;(<span class="parameters">org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisHousehold,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisHousing,
java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding)</span></div>
</section>
</li>
<li>
<section class="detail" id="generateHouseholds(fr.ici.dataImporter.iciObjects.Building,fr.ici.dataImporter.iciObjects.iris.IRISHousehold)">
<h3>generateHouseholds</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></span>&nbsp;<span class="member-name">generateHouseholds</span>&#8203;(<span class="parameters"><a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&nbsp;building,
<a href="iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a>&nbsp;iris)</span></div>
<div class="block">Generate the households for each housing of an IRIS</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>building</code> - A given building</dd>
<dd><code>iris</code> - the IRIS in which the building is located. Must have the household information attached</dd>
<dt>Returns:</dt>
<dd>A generated household (contains randomness)</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getHouseholdSize(fr.ici.dataImporter.iciObjects.property.HouseholdComposition,fr.ici.dataImporter.iciObjects.property.FamilyChildrenNumber,fr.ici.dataImporter.iciObjects.iris.IRISHousehold)">
<h3>getHouseholdSize</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">getHouseholdSize</span>&#8203;(<span class="parameters"><a href="property/HouseholdComposition.html" title="enum in fr.ici.dataImporter.iciObjects.property">HouseholdComposition</a>&nbsp;hhCompo,
<a href="property/FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a>&nbsp;fChildNumber,
<a href="iris/IRISHousehold.html" title="class in fr.ici.dataImporter.iciObjects.iris">IRISHousehold</a>&nbsp;iris)</span></div>
<div class="block">Get household size by its characteristics.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>hhCompo</code> - Composition of the household</dd>
<dd><code>fChildNumber</code> - Composition of the family (if no family, must be the <a href="property/FamilyChildrenNumber.html#ZEROCHILDRENFAMILY"><code>FamilyChildrenNumber.ZEROCHILDRENFAMILY</code></a> value)</dd>
<dd><code>iris</code> - IRIS on which the household is situated</dd>
<dt>Returns:</dt>
<dd>the number of individuals composing the household (can contains randomness)</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="sizeOfPlus25Family()">
<h3>sizeOfPlus25Family</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">sizeOfPlus25Family</span>()</div>
</section>
</li>
<li>
<section class="detail" id="sizeOfFourPlusFamily()">
<h3>sizeOfFourPlusFamily</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">sizeOfFourPlusFamily</span>()</div>
<div class="block">Get the number of children for 4+ families.
 if family has 4+ children, probabilities are that way : 4 children 72%, 5 children 22%, 6 children 6% (inspired by https://www.insee.fr/fr/statistiques/4768240).</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>the number of children</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="toIci(org.opengis.feature.simple.SimpleFeature)">
<h3>toIci</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type"><a href="Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a></span>&nbsp;<span class="member-name">toIci</span>&#8203;(<span class="parameters">org.opengis.feature.simple.SimpleFeature&nbsp;sf)</span></div>
<div class="block">Convert a SimpleFeature to an ICI Household</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>sf</code> - simple feature generated with the <a href="#generateSimpleFeature()"><code>generateSimpleFeature()</code></a> method</dd>
<dt>Returns:</dt>
<dd>an ICI Household</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importHousehold(java.util.List,java.io.File,java.io.File)">
<h3>importHousehold</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;</span>&nbsp;<span class="member-name">importHousehold</span>&#8203;(<span class="parameters">java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding,
java.io.File&nbsp;irisHouseholdFile,
java.io.File&nbsp;irisHousingFile)</span>
                                                 throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Generate the household of a zone relatively to housing already generated by the <a href="Building.html#importBuilding(java.io.File)"><code>Building.importBuilding(File)</code></a> method.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lBuilding</code> - the list of <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects"><code>Building</code></a></dd>
<dd><code>irisHouseholdFile</code> - IRIS geo file with household statistical information linked</dd>
<dd><code>irisHousingFile</code> - IRIS geo file with housing statistical information linked</dd>
<dt>Returns:</dt>
<dd>a list of Household. This list is variable as its results in multiple probabilistic operations.</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading IRIS files</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importHousehold(java.io.File)">
<h3>importHousehold</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;</span>&nbsp;<span class="member-name">importHousehold</span>&#8203;(<span class="parameters">java.io.File&nbsp;householdICI)</span>
                                                 throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Import Households objects from already generated households</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>householdICI</code> - Geo file containing the ICI Households</dd>
<dt>Returns:</dt>
<dd>A list of ICI's household objects</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading data</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="exportHousehold(java.util.List,java.io.File)">
<h3>exportHousehold</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.io.File</span>&nbsp;<span class="member-name">exportHousehold</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;&nbsp;lHH,
java.io.File&nbsp;fileOut)</span>
                                    throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Export an existing list of household to a geographic format</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lHH</code> - list of households</dd>
<dd><code>fileOut</code> - geo-file to export</dd>
<dt>Returns:</dt>
<dd>the geo file containing households</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - export of geofile</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="toString()">
<h3>toString</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">toString</span>()</div>
<dl class="notes">
<dt>Overrides:</dt>
<dd><code><a href="ICIObject.html#toString()">toString</a></code>&nbsp;in class&nbsp;<code><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getHhCompo()">
<h3>getHhCompo</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="property/HouseholdComposition.html" title="enum in fr.ici.dataImporter.iciObjects.property">HouseholdComposition</a></span>&nbsp;<span class="member-name">getHhCompo</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getFCompo()">
<h3>getFCompo</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="property/FamilyChildrenNumber.html" title="enum in fr.ici.dataImporter.iciObjects.property">FamilyChildrenNumber</a></span>&nbsp;<span class="member-name">getFCompo</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getSize()">
<h3>getSize</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">getSize</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getBuildingID()">
<h3>getBuildingID</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getBuildingID</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getApproximateGeom()">
<h3>getApproximateGeom</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.locationtech.jts.geom.Point</span>&nbsp;<span class="member-name">getApproximateGeom</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getSFB()">
<h3>getSFB</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.geotools.feature.simple.SimpleFeatureBuilder</span>&nbsp;<span class="member-name">getSFB</span>()</div>
<div class="block">Get the feature builder to export Households</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="ICIObject.html#getSFB()">getSFB</a></code>&nbsp;in class&nbsp;<code><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></code></dd>
<dt>Returns:</dt>
<dd>the corresponding <code>SimpleFeatureBuilder</code> with fields <b>ID</b>,<b>IDBuilding</b>,<b>HouseholdComposition</b>,<b>FamilyChildrenNumber</b>, <b>HouseholdSize</b></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="generateSimpleFeature()">
<h3>generateSimpleFeature</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.opengis.feature.simple.SimpleFeature</span>&nbsp;<span class="member-name">generateSimpleFeature</span>()</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="ICIObject.html#generateSimpleFeature()">generateSimpleFeature</a></code>&nbsp;in class&nbsp;<code><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></code></dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/Household.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
